// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#pragma prefix "event"

interface TimerUpdate
{
    void time_update(in string time);
};

#include <CosEventComm.idl>

interface TypedTimerUpdate : TimerUpdate, CosEventComm::PushConsumer
{
};

interface PullTimerUpdate
{
    void pull_time_update(out string time);
    boolean try_pull_time_update(out string time);
};
